Subject: Re: linux-next: manual merge of the pidfd tree with the powerpc-fixes tree

From: Michael Ellerman <[email-masked]>
Date: Fri, 19 Jun 2020 21:17:30 +1000

Stephen Rothwell <[email-masked]> writes:
> Hi all,
>
> Today's linux-next merge of the pidfd tree got a conflict in:
>
>   arch/powerpc/kernel/syscalls/syscall.tbl
>
> between commit:
>
>   35e32a6cb5f6 ("powerpc/syscalls: Split SPU-ness out of ABI")
>
> from the powerpc-fixes tree and commit:
>
>   9b4feb630e8e ("arch: wire-up close_range()")
>
> from the pidfd tree.
>
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks.

I thought the week between rc1 and rc2 would be a safe time to do that
conversion of the syscall table, but I guess I was wrong :)

I'm planning to send those changes to Linus for rc2, so the conflict
will then be vs mainline. But I guess it's pretty trivial so it doesn't
really matter.

cheers

> diff --cc arch/powerpc/kernel/syscalls/syscall.tbl
> index c0cdaacd770e,dd87a782d80e..000000000000
> --- a/arch/powerpc/kernel/syscalls/syscall.tbl
> +++ b/arch/powerpc/kernel/syscalls/syscall.tbl
> @@@ -480,6 -524,8 +480,7 @@@
>   434	common	pidfd_open			sys_pidfd_open
>   435	32	clone3				ppc_clone3			sys_clone3
>   435	64	clone3				sys_clone3
>  -435	spu	clone3				sys_ni_syscall
> + 436	common	close_range			sys_close_range
>   437	common	openat2				sys_openat2
>   438	common	pidfd_getfd			sys_pidfd_getfd
>   439	common	faccessat2			sys_faccessat2